Page MenuHomePhabricator

merge: deprecate accessing update results by index
ClosedPublic

Authored by indygreg on Mar 5 2018, 1:17 AM.

Details

Summary

Now that we have named attributes, let's convert the code base to use
them. We also add deprecation warnings so legacy consumers are aware
of their transgressions.

`stats.unresolvedcount is much easier to read than stats[3]`,
don't you think?

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

indygreg created this revision.Mar 5 2018, 1:17 AM
indygreg updated this revision to Diff 6970.Mar 12 2018, 6:28 PM
martinvonz accepted this revision.Mar 21 2018, 8:24 PM
This revision is now accepted and ready to land.Mar 21 2018, 8:24 PM

This one failed to apply, probably because of my changes to rebase.py. I have to leave now, but I'll try again later tonight, whether or not you've gotten a chance to update it.

indygreg updated this revision to Diff 7269.Mar 24 2018, 2:10 PM
pulkit accepted this revision.Mar 26 2018, 4:15 AM
This revision was automatically updated to reflect the committed changes.